# IView (ARX GUI Documentation)

org.deidentifier.arx.gui.view.def

## Interface IView

- All Known Subinterfaces:
    ViewStatisticsBasic
  All Known Implementing Classes:
    AbstractMenu, ComponentHierarchyMenu, Controller, LayoutRisksAbstract, LayoutRisksBottom, LayoutRisksTop, LayoutTransformationModel, LayoutUtilityStatistics, MainMenu, MainToolBar, MainWindow, ViewAttributeList, ViewAttributeTransformation, ViewAttributeWeights, ViewClassificationAttributes, ViewClipboard, ViewCodingModel, ViewCostBenefitModel, ViewCriteriaList, ViewData, ViewDataInput, ViewDataOutput, ViewFilter, ViewLattice, ViewList, ViewLocalRecoding, ViewPopulationModel, ViewProperties, ViewProperties, ViewPropertiesInput, ViewPropertiesOutput, ViewRisks, ViewRisksHIPAAIdentifiersTable, ViewRisksPopulationUniques, ViewRisksQuasiIdentifiers, ViewRisksQuasiIdentifiersTable, ViewRisksReIdentification, ViewRisksReIdentificationTable, ViewRisksRiskDistributionPlot, ViewRisksRiskDistributionTable, ViewSolutionSpace, ViewStatistics, ViewStatisticsContingencyHeatmap, ViewStatisticsContingencyTable, ViewStatisticsDistributionHistogram, ViewStatisticsDistributionTable, ViewStatisticsEquivalenceClassTable, ViewStatisticsLogisticRegression, ViewStatisticsLogisticRegressionInput, ViewStatisticsLogisticRegressionOutput, ViewStatisticsSummaryTable, ViewSubsetDefinition, ViewTiles, ViewTransformationSettings, ViewUtilityMeasures

      public interface IView

  An interface for views.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispose()` Disposes the view.
    `void` | `reset()` Resets the view.
    `void` | `update(ModelEvent event)` Updates the view.

- - ### Method Detail

    - #### dispose

          void dispose()

      Disposes the view.

    - #### reset

          void reset()

      Resets the view.

    - #### update

          void update(ModelEvent event)

      Updates the view.
      Parameters:
        `event` -